gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An enumeration used by TextView

This enumeration is used by to see decide how delete behaves.

System.Enum System.IComparable System.IConvertible System.IFormattable
- Field
  Gtk.DeleteType Delete the character that is highlighted by the cursor.

  Delete the character that is highlighted by the cursor.

- Field
  Gtk.DeleteType Delete until the end of a word

  Delete only the portion of the word to the left/right of cursor if we're in the middle of a word.

- Field
  Gtk.DeleteType Delete the whole line.

  Delete the whole line, like C-k in Emacs or dd in Vi.

- Field
  Gtk.DeleteType Delete all the whitespace before the cursor.

  Delete all the whitespace before the cursor.

- Field
  System.Int32 To be added To be added